Loading...
Searching...
No Matches
Ogre::Node::Listener Class Reference

Listener which gets called back on Node events. More...

`#include <OgreNode.h>`

Inheritance diagram for Ogre::Node::Listener:
[legend]

## Public Member Functions

| Listener ()
virtual | ~Listener ()
virtual void | nodeAttached (const Node *)
| Node has been attached to a parent.
virtual void | nodeDestroyed (const Node *)
| Node is being destroyed.
virtual void | nodeDetached (const Node *)
| Node has been detached from a parent.
virtual void | nodeUpdated (const Node *)
| Called when a node gets updated.

## Detailed Description

Listener which gets called back on Node events.

## Constructor & Destructor Documentation

## Listener()

Ogre::Node::Listener::Listener | ( |  | ) |

inline

## ~Listener()

virtual Ogre::Node::Listener::~Listener | ( |  | ) |

inline virtual

## Member Function Documentation

## nodeUpdated()

virtual void Ogre::Node::Listener::nodeUpdated | ( | const Node * |  | ) |

inline virtual

Called when a node gets updated.

Note that this happens when the node's derived update happens, not every time a method altering it's state occurs. There may be several state-changing calls but only one of these calls, when the node graph is fully updated.

Reimplemented in Ogre::RibbonTrail.

References Ogre::Node::Node().

## nodeDestroyed()

virtual void Ogre::Node::Listener::nodeDestroyed | ( | const Node * |  | ) |

inline virtual

Node is being destroyed.

Reimplemented in Ogre::RibbonTrail.

References Ogre::Node::Node().

## nodeAttached()

virtual void Ogre::Node::Listener::nodeAttached | ( | const Node * |  | ) |

inline virtual

Node has been attached to a parent.

References Ogre::Node::Node().

## nodeDetached()

virtual void Ogre::Node::Listener::nodeDetached | ( | const Node * |  | ) |

inline virtual

Node has been detached from a parent.

References Ogre::Node::Node().

The documentation for this class was generated from the following file:

- OgreNode.h